Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.stream
Class VideoCodecFactory

    java.lang.Object
      org.red5.server.stream.VideoCodecFactory

    public class VideoCodecFactory

extends Object

Factory for video codecs. Creates and returns video codecs

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Field Summary
`static String` | `KEY` Object key

Constructor Summary
`VideoCodecFactory()`

Method Summary
`static IVideoStreamCodec` | `getVideoCodec(IoBuffer data)` Create and return new video codec applicable for byte buffer data
`void` | `setCodecs(List<IVideoStreamCodec> codecs)` Setter for codecs

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

  Object key

  See Also:
    Constant Field Values

Constructor Detail

### VideoCodecFactory

    public VideoCodecFactory()

Method Detail

### setCodecs

    public void setCodecs(List<IVideoStreamCodec> codecs)

  Setter for codecs

  Parameters:
    `codecs` - List of codecs

### getVideoCodec

    public static IVideoStreamCodec getVideoCodec(IoBuffer data)

  Create and return new video codec applicable for byte buffer data

  Parameters:
    `data` - Byte buffer data
  Returns:
    Video codec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project